LOC_NEW(3)

NAME
loc_new - Create a new libloc context

SYNOPSIS

#include <libloc/libloc.h>

struct loc_ctx;

int loc_new(struct loc_ctx** ctx);

struct loc_ctx* loc_ref(struct loc_ctx* ctx);

struct loc_ctx* loc_unref(struct loc_ctx* ctx);

DESCRIPTION

Every operation in libloc requires to set up a context first. This is done by calling loc_new(3).

Every time another part of your code is holding a reference to the context, you will need to call loc_ref() to increase the reference counter. If you no longer need the context, you will need to call loc_unref().

SEE ALSO

libloc(3)

AUTHORS

Michael Tremer